# The modutils tarball should be kept in track with modutils.src.rpm
ExclusiveArch: i386 i586 ia64 alpha
Name: anaconda
Version: 7.2.4
Release: 2tr
License: GPL
Summary: The Trustix Secure Linux installation program.
Group: Trustix Official
Source: anaconda-%{version}.tar.bz2
Obsoletes: anaconda-reconfig
BuildRequires: pump-devel, kudzu-devel, pciutils-devel, bzip2-devel
BuildRequires: e2fsprogs-devel, python-devel db4-devel, newt-devel
BuildRequires: rpm-devel, gettext >= 0.11, dietlibc, zlib-devel
BuildRequires: glibc-locales, dosfstools, cramfsprogs
Prereq: chkconfig
Requires: rpm-python parted hwdata >= 0.44-5em
Excludearch: sparc sparc64
BuildRoot: %{_tmppath}/%{name}-root

%description
The anaconda package contains portions of the Trustix Secure Linux
installation program which can then be run by the user for
reconfiguration and advanced installation options.
Based on Red Hat anaconda 7.2 and 7.3

%package runtime
Summary: Trustix Secure Linux installer portions needed only for fresh installs.
Group: Trustix Official
AutoReq: false
Requires: hwdata >= 0.44-5em

%description runtime
The anaconda-runtime package contains parts of the Trustix Secure Linux
installer which are needed for installing new systems. These files are
used to build Trustix Secure Linux media sets, but are not meant for use on
already installed systems. Based on Red Hat anaconda 7.2 and 7.3.

%prep
%setup -q

%build
#
# We want different customize.py in different versions of the distribution:
#

I_VENDOR="%{?installer_vendor}"
I_NAME="%{?installer_name}"
I_VERSION="%{?release_version}"
I_COPY="%{?installer_copyright}"
I_URI="%{?installer_uri}"
I_BUGSURI="%{?installer_bugsuri}"

if [ -z "$I_VENDOR" ]; then
    I_VENDOR="Trustix"
fi
if [ -z "$I_NAME" ]; then
    I_NAME="Secure Linux"
fi
if [ -z "$I_COPY" ]; then
    I_COPY="(C) 2004 Comodo Trustix Ltd."
fi
if [ -z "$I_URI" ]; then
    I_URI="http://www.trustix.org"
fi
if [ -z "$I_BUGSURI" ]; then
    I_BUGSURI="http://bugs.trustix.org/"
fi

cat > customize.py << __EOF__
VENDOR = "$I_VENDOR"
NAME = "$I_NAME"
VERSION = "$I_VERSION"
COPYRIGHT = "$I_COPY"
URI = "$I_URI"
BUGSURI = "$I_BUGSURI"
__EOF__


#
# Anaconda does not build with LFS:
#
RPM_OPT_FLAGS="`echo $RPM_OPT_FLAGS | sed -e 's/-D_FILE_OFFSET_BITS=64//' \
	-e 's/-D_LARGEFILE64_SOURCE=1//' \
	-e 's/-D_LARGEFILE_SOURCE=1//'`"
export RPM_OPT_FLAGS

#
# We must build modutils first:
#
pushd isys/modutils
export CFLAGS="$RPM_OPT_FLAGS -Os -D__LOADER__ -Dxstrdup=strdup -Dxmalloc=malloc -Dxrealloc=realloc -Dxstrcat=strncat %{?no_stack_protector}"
%configure --disable-compat-2-0 --disable-kerneld --enable-insmod-static\
   --exec_prefix=/ --disable-combined --enable-combined-rmmod
make -C obj %{?_smp_mflags} dep all
make -C util %{?_smp_mflags} dep all
make -C insmod %{?_smp_mflags} dep all
mkdir libs
cp util/libutil.a libs/libmodutilutil.a
cp obj/libobj.a libs/libmodutilobj.a
cp insmod/libmodutils.a libs
popd

# Now build the rest normally...
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip $RPM_BUILD_ROOT/usr/lib/anaconda/*.so

# We can't generate this list, so we take it from red hat
install -m 644 trustix/locale-list \
    $RPM_BUILD_ROOT/usr/share/anaconda/locale-list

rm -rf $RPM_BUILD_ROOT/usr/share/anaconda/pixmaps
rm -f $RPM_BUILD_ROOT/usr/lib/anaconda-runtime/module-info

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add reconfig

%preun
if [ $1 = 0 ]; then
	chkconfig --del reconfig
fi

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
/usr/sbin/anaconda
/usr/share/anaconda
/usr/share/locale/*/*/*
/usr/lib/anaconda
/etc/init.d/reconfig
%ifarch i586
/usr/sbin/ddcprobe
%endif

%files runtime
%defattr(-,root,root)
%doc docs/README.trustix
/usr/lib/anaconda-runtime


%changelog
* Wed Mar 17 2004 Chr. Toldnes <christht at trustix dot org> 2tr
- customizable customize.py

* Mon Feb 16 2004 Chr. Toldnes <christht at trustix dot org> 1tr
- Retagged to 1tr, now tag is only related to changes in the spec file.

* Mon Feb 16 2004 Chr. Toldnes <christht at trustix dot org> 7.2-89tr
- Suited for cvs build

* Fri Jan 30 2004 Chr. Toldnes <christht at trustix dot org> 7.2-88tr
- More group-hack modifications

* Fri Jan 30 2004 Chr. Toldnes <christht at trustix dot org> 7.2-87tr
- Not split into groups during individual package selection

* Mon Jan 11 2004 Chr. Toldnes <christht at trustix dot org> 7.2-86tr
- hardcoded i586

* Fri Jan  9 2004 Erlend Midttun <erlendbm at trustix dot org> 7.2-85tr
- Removed more large files flags.

* Wed Jan  7 2004 Erlend Midttun <erlendbm at trustix dot org> 7.2-84tr
- Big rebuild
- BuildPreReq -> BuildRequires

* Wed Jan  7 2004 Gerald Dachs <gda at trustix dot org> 7.2-83gd
- no gateway dialog if only dhcp devices (patch 77)
- allow hostname even with dhcp (patch 76)

* Tue Jan  6 2004 Gerald Dachs <gda at trustix dot org> 7.2-82gd
- build requires glibc-locales
- added dmfe nic driver to initrd (patch 75)
- requires dosfstools
- requires cramfsprogs

* Mon Dec 17 2003 Chr. Toldnes <christht at trustix dot org> 7.2-81tr
- Namechange: sym53c8x -> xsym53c8xx_2 (patch 74)

* Tue Dec 16 2003 Erlend Midttun <erlendbm at trustix dot org> 7.2-82tr
- Added -D_FILE_OFFSET_BITS=64 to anaconda-7.2-dietlibc.patch and
  anaconda-7.2-python2.2.patch.

* Tue Nov 25 2003 Erlend Midttun <erlendbm at trustix dot com> 7.2-81tr
- Big rebuild

* Fri Nov 14 2003 Chr. Toldnes <christht at trustix dot org> 7.2-80tr
- Slightly modified copyright notice

* Thu Nov  7 2003 Chr. Toldnes <christht at trustix dot org> 7.2-79tr
- Update modules in bootnet.img according to new pcitable (patch61)

* Fri Oct 24 2003 Chr. Toldnes <christht at trustix dot org> 7.2-78tr
- Backported

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 7.2-77tsl
- Ported to tawie

* Wed Jul 16 2003 Gerald Dachs <gda at trustix dot org> 7.2-76tr
- there was no attribute gatewayDevice defined, but used (patch58)
- bootloader argument lba32 in kickstart.py wrong defined (patch59)

* Wed Jul  9 2003 Roland Kruse <rolandk at trustix dot com> 7.2-75tr
- Another typo (patch57)

* Wed Jul  9 2003 Roland Kruse <rolandk at trustix dot com> 7.2-74tr
- Fixed stoopid typo (patch57)

* Wed Jul  9 2003 Roland Kruse <rolandk at trustix dot com> 7.2-73tr
- Customuze distro & vendor names - take II. (patch57)

* Fri Jul  4 2003 Roland Kruse <rolandk at trustix dot com> 7.2-72tr
- Customuze distro & vendor names. (patch57)

* Fri Jul  4 2003 Chr. Toldnes <christht at trustix dot com> 7.2-71tr
- Added patch to add lilo if chosen
- fixed firewall-smp lilo issue

* Thu Jul  3 2003 Roland Kruse <rolandk at trustix dot com> 7.2-70tr
- Fix slovenian keymap (Patch54).
- Fix lilo error handling code (Patch55)

* Wed Jul  2 2003 Roland Kruse <rolandk at trustix dot com> 7.2-69tr
- Write GATEWAYDEV entry to /etc/sysconfig/network, needed if multiple NICs.
  (Patch52)
- Write NOZEROCONF entry to /etc/sysconfig/network (patch53)

* Tue Jun 24 2003 Tore Olsen <toreo at trustix dot com> 7.2-68tr
- Fixed bug in kernel-symlinks patch causing exception during install.

* Tue Jun 24 2003 Tore Olsen <toreo at trustix dot com> 7.2-67tr
- Make custom kickstart files work.

* Fri Jun 20 2003 Roland Kruse <rolandk at trustix dot com> 7.2-66tr
- Check if kernel symlinks exist before creating them

* Fri Jun 20 2003 Roland Kruse <rolandk at trustix dot com> 7.2-65tr
- Bug 762: kernel version removed in grub.conf title fields. (Patch49)

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 7.2-64tr
- Big rebuild

* Thu Jun 12  2003 Roland Kruse <rolandk at trustix dot com> 7.2-63rk
- Raidlevel in mdadm.conf (Patch47)
- Check lilo status; don't fail silently (Patch48)

* Wed Jun 11 2003 Tore Olsen <toreo at trustix dot com> 7.2-62to
- Fixed boot messages and options.

* Wed Jun 11 2003 Tore Olsen <toreo at trustix dot com> 7.2-61to
- Parameterized distroname.

* Tue Jun 3  2003 Roland Kruse <rolandk at trustix dot com> 7.2-60rk
- Raid scan crash experimental fix (Patch45)

* Tue Jun 3  2003 Roland Kruse <rolandk at trustix dot com> 7.2-59rk
- New initscripts - raid adjustment (Patch41 modified, Patch44 not applied)

* Tue May 27 2003 Roland Kruse <rolandk at trustix dot com> 7.2-58rk
- Create /etc/sysconfig/md file for mdadm initscript.

* Mon May 26 2003 Tore Olsen <toreo at trustix. dot com> 7.2-57to
- make sure libblkid is included with the stage 2 image.
- needs zlib-devel to build.

* Thu May 22 2003 Roland Kruse <rolandk at trustix dot com> 7.2-56rk
- Fix bug 624: raidtools -> mdadm - fixed stupid typo in mdadm.conf (patch41)

* Thu May 22 2003 Roland Kruse <rolandk at trustix dot com> 7.2-55rk
- Fix bug 624: raidtools -> mdadm - take 4 (patch41)

* Mon May 19 2003 Roland Kruse <rolandk at trustix dot com> 7.2-54rk
- Fix bug 624: raidtools -> mdadm - take 3 (patch41)

* Fri May 16 2003 Roland Kruse <rolandk at trustix dot com> 7.2-53rk
- Fix bug 624: raidtools -> mdadm - take 2 (patch41)

* Thu May  9 2003 Roland Kruse <rolandk at trustix dot com> 7.2-52rk
- Bug 638: Copyright 2003 (patch42)

* Thu May  9 2003 Roland Kruse <rolandk at trustix dot com> 7.2-51rk
- Fix bug 624: raidtools -> mdadm (patch41).

* Sun May  4 2003 Roland Kruse <rolandk at trustix dot com> 7.2-50rk
- Final: Beta2 version, Bug 618 fixed
  (Patch40, intermediate patches accumulated)

* Sun May  4 2003 Roland Kruse <rolandk at trustix dot com> 7.2-49rk
- Final Beta2 version - take 4.

* Fri May  2 2003 Roland Kruse <rolandk at trustix dot com> 7.2-48rk
- Bugfixes for Beta 2: Take 3

* Fri May  2 2003 Roland Kruse <rolandk at trustix dot com> 7.2-47rk
- Bugfixes for Beta 2: Take 2

* Thu May  1 2003 Roland Kruse <rolandk at trustix dot com> 7.2-46rk
- Bugfixes for Beta 2 (Patch40): 297, 323, 385, 607, 604

* Wed Apr 16 2003 Roland Kruse <rolandk at trustix dot com> 7.2-45rk
- Bug 295: Use symlinks for kernel and initrd images in bootloader (Patch39)

* Thu Apr 10 2003 Roland Kruse <rolandk at trustix dot com> 7.2-44rk
- Patch 38, fixing the following bugs:
  299: Network config - wrong (real stoopid) gateway guess fixed.
  318: /etc/sysconfig/bootloader issues.
  294: Write network config files earlier.

* Thu Apr 10 2003 Roland Kruse <rolandk at trustix dot com> 7.2.43rk
- Empty.

* Thu Apr 10 2003 Erlend Midttun <erlendbm at trustix dot com> 7.2-42em
- Moved the config files to hwdata, take II. (Patch 14)

* Tue Apr  8 2003 Erlend Midttun <erlendbm at trustix dot com> 7.2-41em
- Moved the config files to hwdata. (Patch 14)
- Changed bugzilla -> www.trustix.net (Patch 37)

* Wed Apr  2 2003 Roland Kruse <rolandk at trustix dot com> 7.2-40rk
- Python 2.2.2 requires libdstdc++ (Patch34) NOT APPLIED.
- updated modutils used in loader (Source4, Patch999)
- re-introduced lang-table for tz setting only. (Patch36)

* Tue Apr  1 2003 Roland Kruse <rolandk at trustix dot com> 7.2-39rk
- Replaced C code with code from anaconda 7.3 to use dietlibc,
  resulting package should build with both glibc 2.2.5 and 2.3.2.
  All Trustix patches re-applied, this is a huge patch. Also did
  some final language cleanups etc. (Patch33).

* Thu Mar 20 2003 Erlend Midttun <erlendbm at trustix dot com> 7.2-38em
- Added support for mptscsih. (rolandk: where is the patch?)

* Wed Mar 05 2003 Roland Kruse <rolandk at trustix dot com> 7.2-37rk
- Fixed cosmetic bugs # 204, 205, 210 (Patch30)
- Fixed bug # 32 (Patch31). Only "restircted" password supported.

* Thu Feb 20 2003 Roland Kruse <rolandk at trustix dot com> 7.2-36rk
- Fixed bug 25: dhcp selection (Patch29)
  (note: had to renumber patches 22-29 to get correct order).

* Wed Feb 19 2003 Roland Kruse <rolandk at trustix dot com> 7.2-35rk
- Fixed bug 31: Language & RedHatism cleanup (Patch28)

* Tue Feb 18 2003 Roland Kruse <rolandk at trustix dot com> 7.2-34rk
- Fixed bug 174: jfs module missing in installer moduleball (Patch26).
- Fixed bug 171: Hostname text. (Patch27)

* Fri Feb 14 2003 Roland Kruse <rolandk at trustix dot com> 7.2-33rk
- Fixed bug 55: Firewall kernel selection. (Patch25)

* Mon Feb 03 2003 Roland Kruse <rolandk at trustix dot com> 7.2-32rk
- Fixed bug 164: buildinstall tries to do things with *.rpm.asc files (Patch24)
- Fixed bug 70: package texts (Patch23)
- Fixed bug 34: /etc/hosts invalid (Patch22)
- Fixed bug 33: lilo lba32/linear issue (Patch21)

* Wed Jan 22 2003 Tor Hveem <torh at trustix dot org> 7.2-31th
- Fixed $INITLOCK. (Patch20)

* Wed Nov 13 2002 Roland Kruse <rolandk at trustix dot com> 7.2-30rk
- Fixed loader for network install. (Patch18)
- Write /etc/sysconfig/bootloader. (Patch19)

* Tue Nov  5 2002 Roland Kruse <rolandk at trustix dot com> 7.2-29rk
- Install Grub package if Grub selected as bootloader.

* Mon Sep 16 2002 Erlend Midttun <erlendbm at trustix dot com> 7.2-28em
- Changed cat to msgcat to make it build with the new msgfmt.

* Fri Sep  6 2002 Roland Kruse <rolandk at trustix dot com> 7.2-27rk
- Files in /usr/share/kudzu moved to /usr/share/hwdata (Patch14)
- Updated loader/module-info (Patch15)

* Tue Sep  3 2002 Roland Kruse <rolandk at trustix dot com> 7.2-26rk
- Updated isys/pci/pcitable

* Fri Aug 30 2002 Roland Kruse <rolandk at trustix dot com> 7.2-25rk
- Requires: db3-devel -> db4-revel
- Fixed group

* Wed Aug 21 2002 Roland Kruse <rolandk at trustix dot com> 7.2-24rk
- Multiple NIC configuration (Patch12)

* Thu Aug  1 2002 Roland Kruse <rolandk at trustix dot com> 7.2-23rk
- Showstopper bugfixes (Patch11):
- Autopartition crash
- Removed labels in /etc/fstab
- /etc/redhat-release -> /etc/trustix-release (upgrade mode)
- Lanugage in expert mode

* Tue Jul 23 2002 Roland Kruse <rolandk at trustix dot com> 7.2-22rk
- done away with language selection screens
- don't write /etc/sysconfig/i18n - causing default lang to be 'C'.
- (Patch10)

* Tue Jul 23 2002 Nico Erfurth <masta at trustix dot org> 7.2-21ne
- mkfs.cramfs patch (Patch9)

* Fri Jul 19 2002 Roland Kruse <rolandk at trustix dot com> 7.2-20rk
- useradd patch from Gerald (Patch8).

* Thu Jul 18 2002 Roland Kruse <rolandk at trustix dot com> 7.2-19rk
- intiscript fixes (Patch7).

* Fri Jul 12 2002 Roland Kruse <rolandk at trustix dot com> 7.2-18rk
- Included Gerald's ext3 patch (Patch6).

* Thu Jul 11 2002 Roland Kruse <rolandk at trustix dot com> 7.2-17rk
- Changed reiserfs-utils to reiserfsprogs (Patch5).

* Sat Jul  6 2002 Gerald Dachs <gda at trustix dot org> 7.2-16gd
- CD-Rom gets not filtered anymore, because this hangs Disk Druid (patch4)

* Tue Jun 26 2002 Gerald Dachs <gda at trustix dot org> 7.2-15gd
- liloconf.patch from Roland (patch3)

* Tue Jun 25 2002 Gerald Dachs <gda at trustix dot org> 7.2-14gd
- boot.msg shows now build date and trustix version (patch0)
- removed patch3, patch4; problem was in the rpms

* Tue Jun 18 2002 Gerald Dachs <gda at trustix dot org> 7.2-13gd
- We don't need a preorder of the packages (patch3)
- any kind of sort breaks rpmdepOrder in depend.c (patch4)

* Sat Jun 15 2002 Gerald Dachs <gda at trustix dot org> 7.2-12gd
- python 2.2 support from Christian and me
- changed upd-instroot; python 2.2 needs /lib/libutils.so.1
- ported to trustix

#* %{date} Anaconda team <bugzilla at redhat dot com>
#- built new version from CVS

* Wed Jul 18 2001 Jeremy Katz <katzj at redhat dot com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw at redhat dot com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw at redhat dot com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike at redhat dot com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche at redhat dot com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw at redhat dot com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike at redhat dot com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike at redhat dot com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike at redhat dot com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike at redhat dot com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike at redhat dot com>
- first try at packaging reconfiguration tool

